@echo off
cls
if exist error.tmp del error.tmp
if %4 == 83p goto ti83p
if %4 == 83 goto ti83
if %4 == 86 goto ti86
if %4 == 92 goto ti92

:ti83
echo ----- Assembling %1 for the TI-83...
tasm -80 -p60 -o20 -y -i %1.asm %1.obj
echo.
echo ----- Changing Object Format to TI-83 File Format...
83lnk %1.obj %3.83p %2
if not exist %3.83p goto writeerr
echo.
echo ----- Success!
echo.
echo ----- Check 'Assembler Assistant' for File Path 
goto end

:ti83p
echo ----- Assembling %1 for the TI-83 Plus...
tasm -80 -i -b %1.asm %1.bin
echo ObjHex Converter     Version 1.2
echo Copyright (C) 2000 Jeff Chai
objhex %1.bin > %3.hex
echo ----- Converting to hexadecimal format...
echo ObjHex: HexaDecimal version is %1.hex
echo ObjHex: Task Complete!
if not exist %3.hex goto writeerr
echo.
echo ----- Success!
echo.
echo ----- Check 'Assembler Assistant' for File Path 
goto end

:ti86
echo ----- Assembling %1 for the TI-86...
tasm -80 -b -i -y %1.asm %1.obj
echo.
echo ----- Changing Object Format to TI-86 File Format...
ren %1.obj %2
prgm86 %2
if not exist %2.86p goto writeerr
ren %2.86p %3.86p
echo.
echo ----- Success!
echo.
echo ----- Check 'Assembler Assistant' for File Path 
goto end

:ti92
echo ----- Assembling %1 for the TI-89 / TI-92 Plus...
a68k %1.asm -g -t
if not exist %1.o goto writeerr
echo.
echo ----- Changing Object Format to TI-89 / TI-92 Plus File Format...
ren %1.o %2.o
makeprgm %2
if exist %2.89z ren %2.89z %3.89z
if exist %2.9xz ren %2.9xz %3.9xz
if errorlevel 1 goto writeerr
echo.
echo ----- Success!
echo.
echo ----- Check 'Assembler Assistant' for File Path
goto end

:writeerr
echo ;error compiling >>error.tmp

:end
if exist %2     del %2
if exist %2.o   del %2.o
if exist %1.lst del %1.lst
if exist %1.obj del %1.obj
if exist %1.asm del %1.asm